.el-switch {
  .el-switch__core {
    background: $background-color-light;
    box-shadow: inset 0 0 4px $cssSwitch_core_box_shadow;
    border-radius: 16px;
    width: 28px!important;
    height: 14px!important;
    border: 0;
    &::after {
      top: -1px;
      left: -1px;
      background: $cssSwitch_core_background_after;
      box-shadow: 0 1px 1px rgba($deep-blue, 0.28);
      width: 16px;
      height: 16px;
    }
  }
  &.is-checked {
    .el-switch__core {
      background: $background-color-light!important;
      box-shadow: inset 0 0 4px $cssSwitch_is_checked_core_box_shadow!important;
      &::after {
        background: $color-blue-navy-blue;
        box-shadow: 2px 1px 4px rgba($color-blue-navy-blue, 0.6);
        margin-left: -16px;
      }
    }
  }
}